﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace SLConverter
{
    public class ImageConverter : IValueConverter
    {
        //在载入数据的时候将数据转换为图片类型
        public object Convert(object value, Type targetType, object parameter,
            System.Globalization.CultureInfo culture)
        {
            try
            {
                Uri uri = new Uri((string)value, UriKind.RelativeOrAbsolute);
                BitmapImage img = new BitmapImage(uri);
                return img;
            }
            catch
            {
                return new BitmapImage();
            }
        }

        //在页面上操作的时候，将图片类型转换为数据，这里只有再TwoWay的时候才有用
        public object ConvertBack(object value, Type targetType, object parameter,
            System.Globalization.CultureInfo culture)
        {
            BitmapImage img = value as BitmapImage;
            return img.UriSource.AbsoluteUri;
        }
    }
}
